Subject: Re: bug#14914: bug#15799: 24.3.50; dired-hide-details-mode: Provide default key binding

From: Jambunathan K <[email-masked]>
Date: Wed, 06 Nov 2013 13:01:21 +0530

>> Of course, they're different, but I assume the @ was chosen because
>> it's also used for things like outline-minor-mode, i.e. for other
>> features that hide parts of the buffer.
>
> `@' was proposed by Jambunathan, not I.  I have no special objection
> to `@' instead of `(', however.

I do object to '('.  

Partly because I am tempted to think ')' will undo whatever it's other
pair did.

> But there is really more to it than that.  There are at least these
> hide/show commands in Dired:
>
> $    (`dired-hide-subdir')
> M-$  (`dired-hide-all')
> (    (`dired-hide-details-mode')
> M-o  (`dired-omit-mode')
>
> It is good that each of these is quick, but yes, we could put them
> all on a prefix key.  In that case, `M-o', `M-$', and `$' are also
> good candidates for the prefix key.

$ is indeed better than @.  Remember `$' is used in conjunction with
selective display.  

> We could have, for example:
>
> M-o s  (`dired-hide-subdir')       - `s' for subdi
> M-o S  (`dired-hide-all')          - `S' for subdirs
> M-o c  (`dired-hide-details-mode') - `c' for columns
> M-o r  (`dired-omit-mode')         - `r' for rows

I object to M-o.  The verb `Omit' is generally not used.  It has bad
connotations.  (My mom will spank me if I omitted something)

Let's omit omit and stick with show or hide.